# dladm_etherstub – Manage etherstubs on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create or delete etherstubs on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | Etherstub name.

state
-

Choices:
- present ←
- absent

Create or delete Solaris/illumos etherstub.

temporary
boolean

Choices:
- no ←
- yes

Specifies that the etherstub is temporary. Temporary etherstubs do not persist across reboots.

## Examples

    # Create 'stub0' etherstub
    - dladm_etherstub:
        name: stub0
        state: present

    # Remove 'stub0 etherstub
    - dladm_etherstub:
        name: stub0
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
name string | always | etherstub name Sample: switch0
state string | always | state of the target Sample: present
temporary boolean | always | etherstub's persistence Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.